%define _enable_debug_packages %{nil}
%define debug_package	%{nil}

%define lib_api		0
%define lib_major	0
%define lib_name	%mklibname %{name} %{lib_api} %{lib_major}
%define lib_name_devel	%mklibname %{name} -d

Name:		lilv
Version:		0.20.0
Release:	%mkrel 1
Summary:	LV2 plugin library for applications and hosts
Source0:	http://download.drobilla.net/%{name}-%{version}.tar.xz
Patch0:		lilvmm.patch
URL:		http://drobilla.net/software/%{name}/
License:		ISC License (ISC)
Group:		System/Libraries
#---------------------------------
BuildRequires:waf
BuildRequires:pkgconfig
BuildRequires:python
BuildRequires: %{_lib}serd-devel
BuildRequires: %{_lib}sord-devel
BuildRequires: %{_lib}sratom-devel
BuildRequires: lv2-devel 
#---------------------------------
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
LV2 plugin library for applications and hosts

%files -n %{name}
%defattr(-,root,root)
%doc COPYING README
%doc %{_mandir}/man1/lv2info.1.bz2
%doc %{_mandir}/man1/lv2ls.1.bz2
%{_bindir}/lilv-bench
%{_bindir}/lv2info
%{_bindir}/lv2ls
%{_bindir}/lv2bench
%config(noreplace) %attr(644,root,root) %{_sysconfdir}/bash_completion.d/lilv

#-----------------------------------
%package -n %{lib_name}

Summary:	LV2 plugin library for applications and hosts
Group:		System/Libraries
Obsoletes:	%{_lib}lilv0 < 0.16.0-2

%description -n %{lib_name}
Lilv is a library to make the use of LV2 plugins as simple as possible
for applications. Lilv is the successor to SLV2, rewritten to be
significantly faster and have minimal dependencies.

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/lib%{name}-%{lib_api}.so.%{lib_major}
%{_libdir}/lib%{name}-%{lib_api}.so.%{lib_major}.*

#-----------------------------------
%package -n %{lib_name_devel}
Summary:	Headers for the lilv LV2 library
Group:		Development/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{lib_name_devel}
Development files needed to build applications against lilv.

%files -n %{lib_name_devel}
%defattr(-,root,root)
%{_libdir}/lib%{name}-%{lib_api}.so
%dir %{_includedir}/%{name}-%{lib_api}/%{name}
%{_includedir}/%{name}-%{lib_api}/%{name}/*.h
%{_includedir}/%{name}-%{lib_api}/%{name}/*.hpp
%{_libdir}/pkgconfig/%{name}-%{lib_api}.pc

#-----------------------------------
%prep
%setup -q
%patch0 -p2

%build
%setup_compile_flags
./waf configure \
	--prefix=%{_prefix} \
	--mandir=%{_mandir} \
	--libdir=%{_libdir} \
	--configdir=%{_sysconfdir}
./waf -v

%install
rm -rf $RPM_BUILD_ROOT
./waf install --destdir=%{buildroot}


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Sat Jun 13 2015 gseaman <galen.seaman at comcast.net> 0.20.0-1gseaman2015
- 0.20.0

* Tue Oct 29 2013 pinoc <vogtpet at gmail.com> 0.16.0-1pclos2013
- imported package lilv

